#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'lelang_jadwal.beranda'}</a></li>
	<li class="active">&{'lelang_jadwal.ubah_jdwltender'}</li>
</ol>

<div class ="content">
#{alert /}
#{form @lelang.JadwalCtr.ubahJadwalLelang(lelangId), method:'GET', class:'form-inline'}
	<div class="form-group">
	<label class="control-label">&{'lelang_jadwal.pencarian '} </label>
	<input type="text" name="lelangId"   class="form-control" placeholder="&{'lelang_jadwal.masukkan_tender'}"/>
	<button class="btn btn-default" type="submit"><i class="fa fa-search"></i></button>
	<span class="help-block"></span>
  </div>
#{/form}

#{if lelang!=null}
#{form @lelang.JadwalCtr.simpan(lelang.lls_id), method:'POST'}
    <h4>&{'lelang_jadwal.info_tender'}</h4>
    <table class="table table-condensed">
    <tr>
    	<td width="150">&{'lelang_jadwal.kd_tender'}</td>
    	<td>${lelang.lls_id}</td>
    </tr>
    <tr>
    	<td>&{'lelang_jadwal.nm_tender'}</td>
    	<td>${lelang.paket.pkt_nama}</td>
    </tr>
    <tr>
    	<td>&{'lelang_jadwal.satuan_kerja'}</td>
    	<td>${lelang.paket?.namaSatker}</td>
    </tr>
    <tr>
    	<td>&{'lelang_jadwal.tahap_tender'}</td>
    	<td>${lelang.tahapanSekarang}</td>
    </tr>
    </table>
     <div class="bs-callout bs-callout-info">
           <ul>
           	<li>&{'lelang_jadwal.alasan_wajib'}</li>
           	<li>&{'lelang_jadwal.alasan_perubahan'}</li>
           	<li>&{'lelang_jadwal.jadwal_dirubah'} <strong>&{'lelang_jadwal.pokja'}</strong>
                &{'lelang_jadwal.dan'} <strong>&{'lelang_jadwal.rekanan = Rekanan'}</strong> &{'lelang_jadwal.yang_terlibat'}.</li>
           </ul>
           #{certificateInfo lelang /}
     </div>
	#{if lelang.lls_status.aktif}
          <table class="table table-sm" id="tblJadwal" style="margin-top:20px;">
            <thead>
            <tr>
                <th width="5">&{'lelang_jadwal.no'}</th>
                <th>&{'lelang_jadwal.tahap'}</th>
                <th width="20%">&{'lelang_jadwal.tgl_mulai'}</th>
                <th width="20%">&{'lelang_jadwal.tgl_selesai'}</th>                
            </tr>
            </thead>
            <tbody>
            #{list items:jadwalList, as:'jadwal'}
            #{set i:jadwal_index - 1 /}
            #{set field:'jadwal['+i+']' /}
            <tr class="#{validate field /}">
                <td>
                	${jadwal_index}<input name="jadwalList[${i}].dtj_id" value="${jadwal?.dtj_id}" type="hidden">
                	<input name="jadwalList[${i}].thp_id" value="${jadwal?.thp_id}" type="hidden">
                </td>
                <td>${jadwal.namaTahap(lelang.lelangV3)}</td>
                <td><div style="position: relative;"><input name="jadwalList[${i}].dtj_tglawal" type="text"  value="${jadwal?.dtj_tglawal?.toDatetimepicker()}"
                           class="form-control datetimepicker" id="mulai${jadwal_index}" />
                    </div>
                </td>
                <td><div style="position: relative;">
                    <input name="jadwalList[${i}].dtj_tglakhir" type="text" value="${jadwal?.dtj_tglakhir?.toDatetimepicker()}"
                           class="form-control datetimepicker" id="akhhir${jadwal_index}" />
                </div>
                </td>
            </tr>
            #{/list}
            </tbody>
        </table>
        #{if lelang.lls_status.aktif}
            <input type="hidden" name="harus_berubah" value="true"/>
            <div class="form-group #{errorClass 'keterangan' /}">
                <label class="col-sm-2 control-label">&{'lelang_jadwal.alasan_perubahan2'}</label>
                <div class="col-sm-10">
                    <textarea name="keterangan" rows="3" cols="2" class="form-control">${flash.keterangan}</textarea>
                    <div class="invalid-feedback">#{error 'keterangan' /}</div>
                </div>
            </div>
        #{/if}
        <input type="submit" name="simpan" class="btn btn-success" value="Simpan & Kirim ke Email"  onclick="simpanDanKirim()" />       
    </div>
    #{/if}
  #{/form}
#{/if}

